Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network73.128.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
73.128.0.0
Broadcast address
73.255.255.255
First usable
73.128.0.1
Last usable
73.255.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 49800000 · Integer 1233125376 to 1241513983
Reverse DNS zones
128.73.in-addr.arpa
129.73.in-addr.arpa
130.73.in-addr.arpa
131.73.in-addr.arpa
132.73.in-addr.arpa
133.73.in-addr.arpa
134.73.in-addr.arpa
135.73.in-addr.arpa
136.73.in-addr.arpa
137.73.in-addr.arpa
138.73.in-addr.arpa
139.73.in-addr.arpa
140.73.in-addr.arpa
141.73.in-addr.arpa
142.73.in-addr.arpa
143.73.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001001.10000000.00000000.0000000073.128.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01001001.10000000.00000000.0000000073.128.0.0
Broadcast01001001.11111111.11111111.1111111173.255.255.255
Split into smaller subnets/19

73.128.0.0/9 makes 1,024 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
173.128.0.0/1973.128.0.1 to 73.128.31.25473.128.31.2558,190
273.128.32.0/1973.128.32.1 to 73.128.63.25473.128.63.2558,190
373.128.64.0/1973.128.64.1 to 73.128.95.25473.128.95.2558,190
473.128.96.0/1973.128.96.1 to 73.128.127.25473.128.127.2558,190
573.128.128.0/1973.128.128.1 to 73.128.159.25473.128.159.2558,190
673.128.160.0/1973.128.160.1 to 73.128.191.25473.128.191.2558,190
773.128.192.0/1973.128.192.1 to 73.128.223.25473.128.223.2558,190
873.128.224.0/1973.128.224.1 to 73.128.255.25473.128.255.2558,190
973.129.0.0/1973.129.0.1 to 73.129.31.25473.129.31.2558,190
1073.129.32.0/1973.129.32.1 to 73.129.63.25473.129.63.2558,190
1173.129.64.0/1973.129.64.1 to 73.129.95.25473.129.95.2558,190
1273.129.96.0/1973.129.96.1 to 73.129.127.25473.129.127.2558,190
1373.129.128.0/1973.129.128.1 to 73.129.159.25473.129.159.2558,190
1473.129.160.0/1973.129.160.1 to 73.129.191.25473.129.191.2558,190
1573.129.192.0/1973.129.192.1 to 73.129.223.25473.129.223.2558,190
1673.129.224.0/1973.129.224.1 to 73.129.255.25473.129.255.2558,190
1773.130.0.0/1973.130.0.1 to 73.130.31.25473.130.31.2558,190
1873.130.32.0/1973.130.32.1 to 73.130.63.25473.130.63.2558,190
1973.130.64.0/1973.130.64.1 to 73.130.95.25473.130.95.2558,190
2073.130.96.0/1973.130.96.1 to 73.130.127.25473.130.127.2558,190
2173.130.128.0/1973.130.128.1 to 73.130.159.25473.130.159.2558,190
2273.130.160.0/1973.130.160.1 to 73.130.191.25473.130.191.2558,190
2373.130.192.0/1973.130.192.1 to 73.130.223.25473.130.223.2558,190
2473.130.224.0/1973.130.224.1 to 73.130.255.25473.130.255.2558,190
2573.131.0.0/1973.131.0.1 to 73.131.31.25473.131.31.2558,190
2673.131.32.0/1973.131.32.1 to 73.131.63.25473.131.63.2558,190
2773.131.64.0/1973.131.64.1 to 73.131.95.25473.131.95.2558,190
2873.131.96.0/1973.131.96.1 to 73.131.127.25473.131.127.2558,190
2973.131.128.0/1973.131.128.1 to 73.131.159.25473.131.159.2558,190
3073.131.160.0/1973.131.160.1 to 73.131.191.25473.131.191.2558,190
3173.131.192.0/1973.131.192.1 to 73.131.223.25473.131.223.2558,190
3273.131.224.0/1973.131.224.1 to 73.131.255.25473.131.255.2558,190
3373.132.0.0/1973.132.0.1 to 73.132.31.25473.132.31.2558,190
3473.132.32.0/1973.132.32.1 to 73.132.63.25473.132.63.2558,190
3573.132.64.0/1973.132.64.1 to 73.132.95.25473.132.95.2558,190
3673.132.96.0/1973.132.96.1 to 73.132.127.25473.132.127.2558,190
3773.132.128.0/1973.132.128.1 to 73.132.159.25473.132.159.2558,190
3873.132.160.0/1973.132.160.1 to 73.132.191.25473.132.191.2558,190
3973.132.192.0/1973.132.192.1 to 73.132.223.25473.132.223.2558,190
4073.132.224.0/1973.132.224.1 to 73.132.255.25473.132.255.2558,190
4173.133.0.0/1973.133.0.1 to 73.133.31.25473.133.31.2558,190
4273.133.32.0/1973.133.32.1 to 73.133.63.25473.133.63.2558,190
4373.133.64.0/1973.133.64.1 to 73.133.95.25473.133.95.2558,190
4473.133.96.0/1973.133.96.1 to 73.133.127.25473.133.127.2558,190
4573.133.128.0/1973.133.128.1 to 73.133.159.25473.133.159.2558,190
4673.133.160.0/1973.133.160.1 to 73.133.191.25473.133.191.2558,190
4773.133.192.0/1973.133.192.1 to 73.133.223.25473.133.223.2558,190
4873.133.224.0/1973.133.224.1 to 73.133.255.25473.133.255.2558,190
4973.134.0.0/1973.134.0.1 to 73.134.31.25473.134.31.2558,190
5073.134.32.0/1973.134.32.1 to 73.134.63.25473.134.63.2558,190
5173.134.64.0/1973.134.64.1 to 73.134.95.25473.134.95.2558,190
5273.134.96.0/1973.134.96.1 to 73.134.127.25473.134.127.2558,190
5373.134.128.0/1973.134.128.1 to 73.134.159.25473.134.159.2558,190
5473.134.160.0/1973.134.160.1 to 73.134.191.25473.134.191.2558,190
5573.134.192.0/1973.134.192.1 to 73.134.223.25473.134.223.2558,190
5673.134.224.0/1973.134.224.1 to 73.134.255.25473.134.255.2558,190
5773.135.0.0/1973.135.0.1 to 73.135.31.25473.135.31.2558,190
5873.135.32.0/1973.135.32.1 to 73.135.63.25473.135.63.2558,190
5973.135.64.0/1973.135.64.1 to 73.135.95.25473.135.95.2558,190
6073.135.96.0/1973.135.96.1 to 73.135.127.25473.135.127.2558,190
6173.135.128.0/1973.135.128.1 to 73.135.159.25473.135.159.2558,190
6273.135.160.0/1973.135.160.1 to 73.135.191.25473.135.191.2558,190
6373.135.192.0/1973.135.192.1 to 73.135.223.25473.135.223.2558,190
6473.135.224.0/1973.135.224.1 to 73.135.255.25473.135.255.2558,190
6573.136.0.0/1973.136.0.1 to 73.136.31.25473.136.31.2558,190
6673.136.32.0/1973.136.32.1 to 73.136.63.25473.136.63.2558,190
6773.136.64.0/1973.136.64.1 to 73.136.95.25473.136.95.2558,190
6873.136.96.0/1973.136.96.1 to 73.136.127.25473.136.127.2558,190
6973.136.128.0/1973.136.128.1 to 73.136.159.25473.136.159.2558,190
7073.136.160.0/1973.136.160.1 to 73.136.191.25473.136.191.2558,190
7173.136.192.0/1973.136.192.1 to 73.136.223.25473.136.223.2558,190
7273.136.224.0/1973.136.224.1 to 73.136.255.25473.136.255.2558,190
7373.137.0.0/1973.137.0.1 to 73.137.31.25473.137.31.2558,190
7473.137.32.0/1973.137.32.1 to 73.137.63.25473.137.63.2558,190
7573.137.64.0/1973.137.64.1 to 73.137.95.25473.137.95.2558,190
7673.137.96.0/1973.137.96.1 to 73.137.127.25473.137.127.2558,190
7773.137.128.0/1973.137.128.1 to 73.137.159.25473.137.159.2558,190
7873.137.160.0/1973.137.160.1 to 73.137.191.25473.137.191.2558,190
7973.137.192.0/1973.137.192.1 to 73.137.223.25473.137.223.2558,190
8073.137.224.0/1973.137.224.1 to 73.137.255.25473.137.255.2558,190
8173.138.0.0/1973.138.0.1 to 73.138.31.25473.138.31.2558,190
8273.138.32.0/1973.138.32.1 to 73.138.63.25473.138.63.2558,190
8373.138.64.0/1973.138.64.1 to 73.138.95.25473.138.95.2558,190
8473.138.96.0/1973.138.96.1 to 73.138.127.25473.138.127.2558,190
8573.138.128.0/1973.138.128.1 to 73.138.159.25473.138.159.2558,190
8673.138.160.0/1973.138.160.1 to 73.138.191.25473.138.191.2558,190
8773.138.192.0/1973.138.192.1 to 73.138.223.25473.138.223.2558,190
8873.138.224.0/1973.138.224.1 to 73.138.255.25473.138.255.2558,190
8973.139.0.0/1973.139.0.1 to 73.139.31.25473.139.31.2558,190
9073.139.32.0/1973.139.32.1 to 73.139.63.25473.139.63.2558,190
9173.139.64.0/1973.139.64.1 to 73.139.95.25473.139.95.2558,190
9273.139.96.0/1973.139.96.1 to 73.139.127.25473.139.127.2558,190
9373.139.128.0/1973.139.128.1 to 73.139.159.25473.139.159.2558,190
9473.139.160.0/1973.139.160.1 to 73.139.191.25473.139.191.2558,190
9573.139.192.0/1973.139.192.1 to 73.139.223.25473.139.223.2558,190
9673.139.224.0/1973.139.224.1 to 73.139.255.25473.139.255.2558,190
9773.140.0.0/1973.140.0.1 to 73.140.31.25473.140.31.2558,190
9873.140.32.0/1973.140.32.1 to 73.140.63.25473.140.63.2558,190
9973.140.64.0/1973.140.64.1 to 73.140.95.25473.140.95.2558,190
10073.140.96.0/1973.140.96.1 to 73.140.127.25473.140.127.2558,190
10173.140.128.0/1973.140.128.1 to 73.140.159.25473.140.159.2558,190
10273.140.160.0/1973.140.160.1 to 73.140.191.25473.140.191.2558,190
10373.140.192.0/1973.140.192.1 to 73.140.223.25473.140.223.2558,190
10473.140.224.0/1973.140.224.1 to 73.140.255.25473.140.255.2558,190
10573.141.0.0/1973.141.0.1 to 73.141.31.25473.141.31.2558,190
10673.141.32.0/1973.141.32.1 to 73.141.63.25473.141.63.2558,190
10773.141.64.0/1973.141.64.1 to 73.141.95.25473.141.95.2558,190
10873.141.96.0/1973.141.96.1 to 73.141.127.25473.141.127.2558,190
10973.141.128.0/1973.141.128.1 to 73.141.159.25473.141.159.2558,190
11073.141.160.0/1973.141.160.1 to 73.141.191.25473.141.191.2558,190
11173.141.192.0/1973.141.192.1 to 73.141.223.25473.141.223.2558,190
11273.141.224.0/1973.141.224.1 to 73.141.255.25473.141.255.2558,190
11373.142.0.0/1973.142.0.1 to 73.142.31.25473.142.31.2558,190
11473.142.32.0/1973.142.32.1 to 73.142.63.25473.142.63.2558,190
11573.142.64.0/1973.142.64.1 to 73.142.95.25473.142.95.2558,190
11673.142.96.0/1973.142.96.1 to 73.142.127.25473.142.127.2558,190
11773.142.128.0/1973.142.128.1 to 73.142.159.25473.142.159.2558,190
11873.142.160.0/1973.142.160.1 to 73.142.191.25473.142.191.2558,190
11973.142.192.0/1973.142.192.1 to 73.142.223.25473.142.223.2558,190
12073.142.224.0/1973.142.224.1 to 73.142.255.25473.142.255.2558,190
12173.143.0.0/1973.143.0.1 to 73.143.31.25473.143.31.2558,190
12273.143.32.0/1973.143.32.1 to 73.143.63.25473.143.63.2558,190
12373.143.64.0/1973.143.64.1 to 73.143.95.25473.143.95.2558,190
12473.143.96.0/1973.143.96.1 to 73.143.127.25473.143.127.2558,190
12573.143.128.0/1973.143.128.1 to 73.143.159.25473.143.159.2558,190
12673.143.160.0/1973.143.160.1 to 73.143.191.25473.143.191.2558,190
12773.143.192.0/1973.143.192.1 to 73.143.223.25473.143.223.2558,190
12873.143.224.0/1973.143.224.1 to 73.143.255.25473.143.255.2558,190
12973.144.0.0/1973.144.0.1 to 73.144.31.25473.144.31.2558,190
13073.144.32.0/1973.144.32.1 to 73.144.63.25473.144.63.2558,190
13173.144.64.0/1973.144.64.1 to 73.144.95.25473.144.95.2558,190
13273.144.96.0/1973.144.96.1 to 73.144.127.25473.144.127.2558,190
13373.144.128.0/1973.144.128.1 to 73.144.159.25473.144.159.2558,190
13473.144.160.0/1973.144.160.1 to 73.144.191.25473.144.191.2558,190
13573.144.192.0/1973.144.192.1 to 73.144.223.25473.144.223.2558,190
13673.144.224.0/1973.144.224.1 to 73.144.255.25473.144.255.2558,190
13773.145.0.0/1973.145.0.1 to 73.145.31.25473.145.31.2558,190
13873.145.32.0/1973.145.32.1 to 73.145.63.25473.145.63.2558,190
13973.145.64.0/1973.145.64.1 to 73.145.95.25473.145.95.2558,190
14073.145.96.0/1973.145.96.1 to 73.145.127.25473.145.127.2558,190
14173.145.128.0/1973.145.128.1 to 73.145.159.25473.145.159.2558,190
14273.145.160.0/1973.145.160.1 to 73.145.191.25473.145.191.2558,190
14373.145.192.0/1973.145.192.1 to 73.145.223.25473.145.223.2558,190
14473.145.224.0/1973.145.224.1 to 73.145.255.25473.145.255.2558,190
14573.146.0.0/1973.146.0.1 to 73.146.31.25473.146.31.2558,190
14673.146.32.0/1973.146.32.1 to 73.146.63.25473.146.63.2558,190
14773.146.64.0/1973.146.64.1 to 73.146.95.25473.146.95.2558,190
14873.146.96.0/1973.146.96.1 to 73.146.127.25473.146.127.2558,190
14973.146.128.0/1973.146.128.1 to 73.146.159.25473.146.159.2558,190
15073.146.160.0/1973.146.160.1 to 73.146.191.25473.146.191.2558,190
15173.146.192.0/1973.146.192.1 to 73.146.223.25473.146.223.2558,190
15273.146.224.0/1973.146.224.1 to 73.146.255.25473.146.255.2558,190
15373.147.0.0/1973.147.0.1 to 73.147.31.25473.147.31.2558,190
15473.147.32.0/1973.147.32.1 to 73.147.63.25473.147.63.2558,190
15573.147.64.0/1973.147.64.1 to 73.147.95.25473.147.95.2558,190
15673.147.96.0/1973.147.96.1 to 73.147.127.25473.147.127.2558,190
15773.147.128.0/1973.147.128.1 to 73.147.159.25473.147.159.2558,190
15873.147.160.0/1973.147.160.1 to 73.147.191.25473.147.191.2558,190
15973.147.192.0/1973.147.192.1 to 73.147.223.25473.147.223.2558,190
16073.147.224.0/1973.147.224.1 to 73.147.255.25473.147.255.2558,190
16173.148.0.0/1973.148.0.1 to 73.148.31.25473.148.31.2558,190
16273.148.32.0/1973.148.32.1 to 73.148.63.25473.148.63.2558,190
16373.148.64.0/1973.148.64.1 to 73.148.95.25473.148.95.2558,190
16473.148.96.0/1973.148.96.1 to 73.148.127.25473.148.127.2558,190
16573.148.128.0/1973.148.128.1 to 73.148.159.25473.148.159.2558,190
16673.148.160.0/1973.148.160.1 to 73.148.191.25473.148.191.2558,190
16773.148.192.0/1973.148.192.1 to 73.148.223.25473.148.223.2558,190
16873.148.224.0/1973.148.224.1 to 73.148.255.25473.148.255.2558,190
16973.149.0.0/1973.149.0.1 to 73.149.31.25473.149.31.2558,190
17073.149.32.0/1973.149.32.1 to 73.149.63.25473.149.63.2558,190
17173.149.64.0/1973.149.64.1 to 73.149.95.25473.149.95.2558,190
17273.149.96.0/1973.149.96.1 to 73.149.127.25473.149.127.2558,190
17373.149.128.0/1973.149.128.1 to 73.149.159.25473.149.159.2558,190
17473.149.160.0/1973.149.160.1 to 73.149.191.25473.149.191.2558,190
17573.149.192.0/1973.149.192.1 to 73.149.223.25473.149.223.2558,190
17673.149.224.0/1973.149.224.1 to 73.149.255.25473.149.255.2558,190
17773.150.0.0/1973.150.0.1 to 73.150.31.25473.150.31.2558,190
17873.150.32.0/1973.150.32.1 to 73.150.63.25473.150.63.2558,190
17973.150.64.0/1973.150.64.1 to 73.150.95.25473.150.95.2558,190
18073.150.96.0/1973.150.96.1 to 73.150.127.25473.150.127.2558,190
18173.150.128.0/1973.150.128.1 to 73.150.159.25473.150.159.2558,190
18273.150.160.0/1973.150.160.1 to 73.150.191.25473.150.191.2558,190
18373.150.192.0/1973.150.192.1 to 73.150.223.25473.150.223.2558,190
18473.150.224.0/1973.150.224.1 to 73.150.255.25473.150.255.2558,190
18573.151.0.0/1973.151.0.1 to 73.151.31.25473.151.31.2558,190
18673.151.32.0/1973.151.32.1 to 73.151.63.25473.151.63.2558,190
18773.151.64.0/1973.151.64.1 to 73.151.95.25473.151.95.2558,190
18873.151.96.0/1973.151.96.1 to 73.151.127.25473.151.127.2558,190
18973.151.128.0/1973.151.128.1 to 73.151.159.25473.151.159.2558,190
19073.151.160.0/1973.151.160.1 to 73.151.191.25473.151.191.2558,190
19173.151.192.0/1973.151.192.1 to 73.151.223.25473.151.223.2558,190
19273.151.224.0/1973.151.224.1 to 73.151.255.25473.151.255.2558,190
19373.152.0.0/1973.152.0.1 to 73.152.31.25473.152.31.2558,190
19473.152.32.0/1973.152.32.1 to 73.152.63.25473.152.63.2558,190
19573.152.64.0/1973.152.64.1 to 73.152.95.25473.152.95.2558,190
19673.152.96.0/1973.152.96.1 to 73.152.127.25473.152.127.2558,190
19773.152.128.0/1973.152.128.1 to 73.152.159.25473.152.159.2558,190
19873.152.160.0/1973.152.160.1 to 73.152.191.25473.152.191.2558,190
19973.152.192.0/1973.152.192.1 to 73.152.223.25473.152.223.2558,190
20073.152.224.0/1973.152.224.1 to 73.152.255.25473.152.255.2558,190
20173.153.0.0/1973.153.0.1 to 73.153.31.25473.153.31.2558,190
20273.153.32.0/1973.153.32.1 to 73.153.63.25473.153.63.2558,190
20373.153.64.0/1973.153.64.1 to 73.153.95.25473.153.95.2558,190
20473.153.96.0/1973.153.96.1 to 73.153.127.25473.153.127.2558,190
20573.153.128.0/1973.153.128.1 to 73.153.159.25473.153.159.2558,190
20673.153.160.0/1973.153.160.1 to 73.153.191.25473.153.191.2558,190
20773.153.192.0/1973.153.192.1 to 73.153.223.25473.153.223.2558,190
20873.153.224.0/1973.153.224.1 to 73.153.255.25473.153.255.2558,190
20973.154.0.0/1973.154.0.1 to 73.154.31.25473.154.31.2558,190
21073.154.32.0/1973.154.32.1 to 73.154.63.25473.154.63.2558,190
21173.154.64.0/1973.154.64.1 to 73.154.95.25473.154.95.2558,190
21273.154.96.0/1973.154.96.1 to 73.154.127.25473.154.127.2558,190
21373.154.128.0/1973.154.128.1 to 73.154.159.25473.154.159.2558,190
21473.154.160.0/1973.154.160.1 to 73.154.191.25473.154.191.2558,190
21573.154.192.0/1973.154.192.1 to 73.154.223.25473.154.223.2558,190
21673.154.224.0/1973.154.224.1 to 73.154.255.25473.154.255.2558,190
21773.155.0.0/1973.155.0.1 to 73.155.31.25473.155.31.2558,190
21873.155.32.0/1973.155.32.1 to 73.155.63.25473.155.63.2558,190
21973.155.64.0/1973.155.64.1 to 73.155.95.25473.155.95.2558,190
22073.155.96.0/1973.155.96.1 to 73.155.127.25473.155.127.2558,190
22173.155.128.0/1973.155.128.1 to 73.155.159.25473.155.159.2558,190
22273.155.160.0/1973.155.160.1 to 73.155.191.25473.155.191.2558,190
22373.155.192.0/1973.155.192.1 to 73.155.223.25473.155.223.2558,190
22473.155.224.0/1973.155.224.1 to 73.155.255.25473.155.255.2558,190
22573.156.0.0/1973.156.0.1 to 73.156.31.25473.156.31.2558,190
22673.156.32.0/1973.156.32.1 to 73.156.63.25473.156.63.2558,190
22773.156.64.0/1973.156.64.1 to 73.156.95.25473.156.95.2558,190
22873.156.96.0/1973.156.96.1 to 73.156.127.25473.156.127.2558,190
22973.156.128.0/1973.156.128.1 to 73.156.159.25473.156.159.2558,190
23073.156.160.0/1973.156.160.1 to 73.156.191.25473.156.191.2558,190
23173.156.192.0/1973.156.192.1 to 73.156.223.25473.156.223.2558,190
23273.156.224.0/1973.156.224.1 to 73.156.255.25473.156.255.2558,190
23373.157.0.0/1973.157.0.1 to 73.157.31.25473.157.31.2558,190
23473.157.32.0/1973.157.32.1 to 73.157.63.25473.157.63.2558,190
23573.157.64.0/1973.157.64.1 to 73.157.95.25473.157.95.2558,190
23673.157.96.0/1973.157.96.1 to 73.157.127.25473.157.127.2558,190
23773.157.128.0/1973.157.128.1 to 73.157.159.25473.157.159.2558,190
23873.157.160.0/1973.157.160.1 to 73.157.191.25473.157.191.2558,190
23973.157.192.0/1973.157.192.1 to 73.157.223.25473.157.223.2558,190
24073.157.224.0/1973.157.224.1 to 73.157.255.25473.157.255.2558,190
24173.158.0.0/1973.158.0.1 to 73.158.31.25473.158.31.2558,190
24273.158.32.0/1973.158.32.1 to 73.158.63.25473.158.63.2558,190
24373.158.64.0/1973.158.64.1 to 73.158.95.25473.158.95.2558,190
24473.158.96.0/1973.158.96.1 to 73.158.127.25473.158.127.2558,190
24573.158.128.0/1973.158.128.1 to 73.158.159.25473.158.159.2558,190
24673.158.160.0/1973.158.160.1 to 73.158.191.25473.158.191.2558,190
24773.158.192.0/1973.158.192.1 to 73.158.223.25473.158.223.2558,190
24873.158.224.0/1973.158.224.1 to 73.158.255.25473.158.255.2558,190
24973.159.0.0/1973.159.0.1 to 73.159.31.25473.159.31.2558,190
25073.159.32.0/1973.159.32.1 to 73.159.63.25473.159.63.2558,190
25173.159.64.0/1973.159.64.1 to 73.159.95.25473.159.95.2558,190
25273.159.96.0/1973.159.96.1 to 73.159.127.25473.159.127.2558,190
25373.159.128.0/1973.159.128.1 to 73.159.159.25473.159.159.2558,190
25473.159.160.0/1973.159.160.1 to 73.159.191.25473.159.191.2558,190
25573.159.192.0/1973.159.192.1 to 73.159.223.25473.159.223.2558,190
25673.159.224.0/1973.159.224.1 to 73.159.255.25473.159.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses